@use 'sass:map';
@import "~ngx-toastr/toastr";
@import "~@ng-select/ng-select/themes/material.theme.css";
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import "~@angular/material/theming";
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$mel-admin-primary: mat-palette($mat-pink, 300);
$mel-admin-accent: mat-palette($mat-blue, 300);

// The warn palette is optional (defaults to red).
$mel-admin-warn: mat-palette($mat-red);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$mel-admin-theme: mat-light-theme(
  (
    color: (
      primary: $mel-admin-primary,
      accent: $mel-admin-accent,
      warn: $mel-admin-warn,
    ),
  )
);

$theme-color: mat-get-color-config($mel-admin-theme);
$background: map.get($theme-color, background);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($mel-admin-theme);

@import "./styles/form";
@import "./styles/ng-select";
@import "./styles/mat-list";
@import "./styles/upload-image";

html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

.toolbar-title {
  flex: 1;
}

:root {
  --primary: #{map.get($mel-admin-primary, default)};
  --primary-light: #{map.get($mel-admin-primary, 100)};
  --table-bg: #{map.get($background, "card")};
  --warn: #{map.get($mel-admin-warn, 800)};

  --ng-select-criterium-brand: #e645b5;
  --ng-select-criterium-brand-text: #fff;
  --ng-select-criterium-category: #4780c5;
  --ng-select-criterium-category-text: #fff;
  --ng-select-criterium-feature: #28964f;
  --ng-select-criterium-feature-text: #fff;
  --ng-select-criterium-keywords: #8a8a8a;
  --ng-select-criterium-keywords-text: #fff;
  --ng-select-criterium-color: #9c65ce;
  --ng-select-criterium-color-text: #fff;
  --ng-select-default-color: #d1d1d1;
  --ng-select-default-color-text: #000;
}
